Aller au contenu

Filament ABS

Lubudik

Installation Dagom'app sous Ubuntu

Messages recommandés

Bonjour à tous,

Nouveau dans le domaine de l'impression 3D.

Je viens d'acquérir une Dagoma Easy200 et j'aimerais l'utiliser sous Linux (Xubuntu 16.04).

Quelqu'un peut-il me dire comment on fait pour installer les différentes applications (Dagom'app et Cura for Dagoma) sous cet OS ?

 

Je vous remercie d'avance.

 

PS : J'ai téléchargé le fichier "DagomApp-linux-x64.tar.gz", mais je ne sais pas comment faire après.

Modifié (le) par Lubudik

Partager ce message


Lien à poster
Partager sur d’autres sites

Salut,

Le format tar.gz, c'est comme un ZIP mais au format "linux". Tu double-cliques dessus et tu l'extrais dans le répertoire de ton choix. tu trouveras dans ce répertoire une application DagomApp, tu doucle-cliques dessus et le programme se lancera.

Ensuite tu n'as qu'à connecter ton imprimante quand on te le demande. C'est une carte compatible arduino donc tu ne devrais pas avoir de pilotes FDTI a installer comme un windows. Le port usb aura un nom du style /dev/ttyACM0 (ça c'est sur mon Archlinux, sur ubuntu je ne sais pas).

DagomApp est le seul programme fourni par Dagoma qui est compatible Linux. Pour l'instant j'utilise Cura by Dagoma sur un portable Windows mais quand j'aurai plus d'assurance dans l'utilisation de l'imprimante j'utiliserai le vrai Cura qui lui fonctionne parfaitement sur Linux. Tu trouveras sur https://github.com/DelphinPETER/Dagoma-Settings-For-Cura des personnes qui ont commencé à paramétrer la Dagoma sur Cura 2.3. Je n'ai pas encore testé en vrai.

Modifié (le) par olivier-b

Partager ce message


Lien à poster
Partager sur d’autres sites
Il y a 5 heures, olivier-b a dit :

Salut,

Le format tar.gz, c'est comme un ZIP mais au format "linux". Tu double-cliques dessus et tu l'extrais dans le répertoire de ton choix. tu trouveras dans ce répertoire une application DagomApp, tu doucle-cliques dessus et le programme se lancera.

Ensuite tu n'as qu'à connecter ton imprimante quand on te le demande. C'est une carte compatible arduino donc tu ne devrais pas avoir de pilotes FDTI a installer comme un windows. Le port usb aura un nom du style /dev/ttyACM0 (ça c'est sur mon Archlinux, sur ubuntu je ne sais pas).

DagomApp est le seul programme fourni par Dagoma qui est compatible Linux. Pour l'instant j'utilise Cura by Dagoma sur un portable Windows mais quand j'aurai plus d'assurance dans l'utilisation de l'imprimante j'utiliserai le vrai Cura qui lui fonctionne parfaitement sur Linux. Tu trouveras sur https://github.com/DelphinPETER/Dagoma-Settings-For-Cura des personnes qui ont commencé à paramétrer la Dagoma sur Cura 2.3. Je n'ai pas encore testé en vrai.

Je te remercie beaucoup pour ton aide.

J'ai décompressé le fichier dans un dossier, comme tu l'expliques, mais quand je clique sur Dagomapp, rien ne se passe.

Ou plutôt, si, il s'ajoute une icone bizarre dans le dossier qui semblerait indiquer que le code est invalide. Voir copie d'écran ci-dessous.

Dois-je le lancer d'une manière spéciale (sudo) ?

 

Capture d’écran_2017-02-17_02-28-47.png

Modifié (le) par Lubudik

Partager ce message


Lien à poster
Partager sur d’autres sites

lance un terminal et va dans le répertoire (commande cd ) où tu as décompressé ton fichier tar.gz

lance le programme DagomApp :

./DagomApp

(attention aux majuscules).

Là tu auras certainement des messages d'erreur qui te donneront une indication sur ce qui te manque pour démarrer le programme DagomApp. Il doit certainement te manquer des librairies. Si tu ne trouves pas copie les messages ici.

Normalement tu n'as pas besoin de lancer le programme avec sudo. C'est d'ailleurs déconseillé vu que ce n'est pas un programme système qui nécessite des droits superadmin.

Il est possible que tu n'ai pas accès aux ports USB avec ton utilisateur. Il faut que tu mettes ton utilisateur dans un groupe indiquant qu'il a le droit d'utiliser les ports USB pour faire des transmissions séries. Sur ubuntu c'est expliqué là : https://doc.ubuntu-fr.org/arduino

sudo usermod -a -G tty Nom_Utilisateur 

sudo usermod -a -G dialout Nom_Utilisateur

edit : il est possible qu'il faille utiliser le groupe uucp (c'est mon cas) : Pour les cartes Arduino autres que UNO, on a /dev/ttyUSBX au lieu de /dev/ttyACM0 et le groupe est uucp au lieu de dialout (renseignements dars la page citée plus haut).

Modifié (le) par olivier-b

Partager ce message


Lien à poster
Partager sur d’autres sites

Bonjour Olivier,

Alors,j'ai fait comme tu as dis, mais j'ai le message suivant :

pierre@pierre-P8614:~/DagomApp-linux-x64$ ./DagomApp
bash: ./DagomApp : impossible d’exécuter le fichier binaire : Erreur de format pour exec()


Je ne suis pas un grand spécialiste de l'informatique bien qu'ayant été programmeur pendant plus de 30 ans.

Comme on dit, je suis un "papy" et j'ai surtout travaillé avec des langages comme Basic, Cobol, Natural...  Des vieux langages, quoi ! :$

J'espère ne pas trop abuser de ta patience.  En tout cas,merci encore pour ton aide.

Modifié (le) par Lubudik

Partager ce message


Lien à poster
Partager sur d’autres sites

Ne t’inquiète pas je suis presque un "papy" aussi.

Tu peux me donner le résultat de la commande suivante :

uname -a

Je suspecte que tu as installé une ubuntu 32 bits et le programme de Dagoma est en 64 bits. Si c'est le cas ça ne fonctionnera pas.

Un système 64 bits renverra x86_64 dans la réponse de la commande uname. exemple :

[olivier@pcolivier ~]$ uname -a
Linux pcolivier 4.8.13-1-ARCH #1 SMP PREEMPT Fri Dec 9 07:24:34 CET 2016 x86_64 GNU/Linux

si tu n'as pas x86_64 mais un truc comme i386 ou i686 alors tu es en 32 bits et là la seule solution c'est de réinstaller ton ordinateur en 64 bits (si ton ordinateur n'est pas trop vieux). Un Linux 64 bits peut faire fonctionner des programmes 64bits et 32bits. Un Linux 32 bits ne peut faire fonctionner que des programmes 32bits.
 

Partager ce message


Lien à poster
Partager sur d’autres sites

Voilà la réponse à la commande uname -a :

Linux pierre-P8614 4.4.0-63-generic #84-Ubuntu SMP Wed Feb 1 17:23:56 UTC 2017 i686 i686 i686 GNU/Linux


Donc d'après ce que tu dis, je suis en 32 bits et mon pc à je crois à peu près 7 ans (si j'ai bonne mémoire)...
Il faudrait donc que je télécharge la version 32bits de DagomApp.

Je ferai ça tout-à-l'heure, vu l'heure justement... ¬¬

Autre chose, j'ai réussi, ô miracle, à installer Slic3r. :):banana:
Et ça a l'air de fonctionner.  Reste plus qu'à mettre les bons paramètres dedans.
Une idée pour ceux de la Dagoma Easy200 (avec écran de contrôle)?

Bien à toi.

Partager ce message


Lien à poster
Partager sur d’autres sites

Pour DagomApp je n'ai vu que la version 64 bits. Comme c'est un programme Dagoma, les sources ne sont pas disponible. A tout hasard, fait la demande au support.

Il doit y avoir moyens de régler l'offset Z sans cette application qui ne sert à priori qu'à ça.

Pour slic3r ou le cura (normal), il faut regarder dans les dépôts ubuntu. Si les applications sont dans les dépôts, tu auras les 2 versions 32 et 64 bits donc pas de soucis pour toi.

Pour le paramétrage de slic3r, il y a un article sur le blog de Dagoma. Je n'ai pas le lien en tête. Sinon ouvre un nouveau sujet sur le forum pour plus de visibilité spécifique au paramétrage de slic3r, il doit y avoir d'autres personnes qui l'utilisent.

Pour le paramétrage de cura 2.3, je t'ai donné le lien github dans ma première réponse.

Partager ce message


Lien à poster
Partager sur d’autres sites

Merci pour toutes tes info.
C'est vrai que DagomApp, finalement, ne sert qu' paramétrer le z-offset et faire la mise à jour du firmware.
Et je dois dire que je ne parviens plus à régler correctement mon z-offset avec DagomApp depuis quelques jours.
Vais voir s'il y a un autre moyen.
Je vais essayer d'installer Cura et voir ce que ça donne.

Voilà, j'ai installé Cura 2.4.0
Il a l'air de fonctionner.  Je n'ai pas encore paramétré, mais le programme démarre.
Maintenant, je vais essayer de trouver un autre moyen que DagomApp pour régler le Z-offset.

Modifié (le) par Lubudik

Partager ce message


Lien à poster
Partager sur d’autres sites

Créer un compte ou se connecter pour commenter

Vous devez être membre afin de pouvoir déposer un commentaire

Créer un compte

Créez un compte sur notre communauté. C’est facile !

Créer un nouveau compte

Se connecter

Vous avez déjà un compte ? Connectez-vous ici.

Connectez-vous maintenant


×